# data-manager-control-base

DataManagerControlComponent is the one in charge of handle all datamanager events and call the corresponding event emitter on DataManagerControlBaseComponent.

## Support

### Events handling

In this section all the events are handled by eventsHandler function and eventually sended to DataManagerControlBaseComponent.

### Functions

| Function                   | Supported | Details                                                               |
| -------------------------- | --------- | --------------------------------------------------------------------- |
| clickEventHandler          | Yes       | Handle the click event for DataManagerControl.                        |
| eventsHandler              | Yes       | Invoke the corresponding handling for data window control.            |
| fireDoubleClickEvents      | Yes       | Handle the doubleclick events.                                        |
| fireChangeEvent            | Yes       | Is Triggered when change event                                        |
| fireClickAndChangeCheckBox | Yes       | Is triggered when checkboxChanged event.                              |
| fireClickEvents            | Yes       | Performs the click events for datamanagercontrol                      |
| fireItemFocusEvent         | Yes       | Triggers `itemFocusChanged` Event.                                    |
| fireSelectionChangedEvent  | Yes       | Sets new current row and triggers selectionChanged event              |
| fireSelectionChangingEvent | Yes       | Triggers `selectionChanging` Event.                                   |
| fireKeyDownEvent           | Yes       | Is triggered when key down event                                      |
| getCommandService          | Yes       | Returns commandService.                                               |
| getModelDataManager        | Yes       | Returns the model for the corresponding dataManager.                  |
| RButtonDownEvent           | Yes       | Triggers `RButtonDown` Event.                                         |
| setDelay                   | Yes       | Calls UPDATE\_BUNDLE command and sets delay                           |
| scrollVerticalEvent        | Yes       | Triggers `scrollVertical` Event.                                      |
| setUpdateData              | Yes       | Calls UPDATE\_BUNDLE command and sets updateData                      |
| setIdInDataManager         | Yes       | Assigns the heightContainer property in the model of the dataManager. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/data-manager-componets/data-manager-control-base.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
